Uses of Annotation Type
com.shri.restinpeace.annotation.method.meta.HTTPRequestParamMarker
Packages that use HTTPRequestParamMarker
-
Uses of HTTPRequestParamMarker in com.shri.restinpeace.annotation.request
Classes in com.shri.restinpeace.annotation.request with annotations of type HTTPRequestParamMarkerModifier and TypeClassDescription@interfaceSends the annotated parameter as the request body.@interfaceOne name/value pair of a@FormUrlEncodedmethod's form-urlencoded body.@interfaceSets an HTTP header for each entry of the annotatedMap<String, ?>parameter, for a set of headers whose names aren't known until runtime - e.g. caller-supplied headers in a multi-tenant app.@interfaceSets an HTTP header on the request from the annotated parameter's value.@interfaceOne field of a@Multipartmethod's multipart body.@interfaceSubstitutes a{name}placeholder in the method's URL template with the annotated parameter's value.@interfaceAppends a query string parameter for each entry of the annotatedMap<String, ?>parameter, for a set of query params whose names aren't known until runtime - e.g. a search endpoint's open-ended filter set.@interfaceAppends a query string parameter to the request from the annotated parameter's value.@interfaceUses the annotatedStringparameter as the method's entire URL, instead of resolving one from the HTTP method annotation's template (with@BaseUrl/a runtime base URL and@PathParams).